Subject: bug#77964: spdlog is bundling fmt

From: Dariqq <[email-masked]>
Date: Mon, 21 Apr 2025 15:58:28 +0000

Hello,

Today I tried to rebuild a package in my channel which uses both fmt and 
spdlog.

The build failed with a linking error with undefined references for some 
spdlog code.

Recently the spdlog symbol got updated to 1.15, when I downgrade to 
using spdlog 1.13 the error went away.

After looking around online for similar issues I found that the reason 
could be a version mismatch with the fmt package and the fmt bundled 
with spdlog.

If I use fmt-11 instead of fmt-9 (the fmt symbol) the issue went away.

I think Guix generally tries to unbundle things if possible and looking 
at some build recipes in other distributions (debian, gentoo, fedora) 
all of them add the -DSPDLOG_FMT_EXTERNAL=ON flag (usually with an 
additional patch to force the unbundled fmt)

Thanks.